---
search:
  tags:
    - Translations
    - GET
seo:
  description: >-
    Retrieves a paginated list of all translations for the… Reference for the
    GET /api/v1/{team_slug}/{app_slug}/translations endpoint in the Management
    API.
sidebar:
  label: List all translations
  badge: GET
title: List all translations
type: openapi-operation
---
Retrieves a paginated list of all translations for the application with optional filtering by parent type and field type

`GET /api/v1/{team_slug}/{app_slug}/translations`

**Responses**

- `200` — Translations
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "field_type": "name",
      "id": "string",
      "language_code": "string",
      "parent_ref": "string",
      "parent_type": "product",
      "translation": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
